<form method="post"
      action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=promo_code_api&action=promo_sets">
    <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
        <tbody>
        <tr>
            <td class="fieldlabel" width="15%">{$lang['Set Name']}</td>
            <td class="fieldarea"><input type="text" name="set_name"
                                         class="form-control input-250 input-inline" required></td>
        </tr>
        <tr>
            <td class="fieldlabel" width="15%">{$lang['API Ip Address']}</td>
            <td class="fieldarea"><input type="text" name="api_ip_address"
                                         class="form-control input-250 input-inline" required></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Promo Code Type']}</td>
            <td class="fieldarea"><select name="promo_code_type" class="form-control select-inline">
                    <option value="Percentage">{$lang['Percentage']}</option>
                    <option value="Fixed Amount">{$lang['Fixed Amount']}</option>
                    <option value="Price Override">{$lang['Price Override']}</option>
                    <option value="Free Setup">{$lang['Free Setup']}</option>
                </select></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Recurring']}</td>
            <td class="fieldarea">
                <label class="checkbox-inline">
                    <input type="checkbox" name="recurring" value="on"
                           onclick="$('input#recurfor').prop('disabled', !$('input#recurfor').prop('disabled'));">
                    {$lang['Enable - Recur For']} </label>
                <input id="recurfor" type="text" name="recur_for" class="form-control input-50 input-inline"
                       disabled="disabled">
                {$lang['Times (0 = Unlimited)']}
            </td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Value']}</td>
            <td class="fieldarea"><input type="text" name="promo_value" placeholder="0.00"
                                         class="form-control input-150 input-inline"></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Applies To']}</td>
            <td class="fieldarea">
                <select name="applies_to[]" size="8" class="form-control" multiple="">
                    {foreach $products_list as $product}
                        <option value="{$product['id']}">
                            {$product['group_name']} - {$product['product_name']}</option>
                    {/foreach}
                    {foreach $addons_list as $addon}
                        <option value="{$addon['id']}">
                            Addon - {$addon['addon_name']}</option>
                    {/foreach}
                    {foreach $domains_list as $domain}
                        <option value="{$domain['id']}">
                            Domain - {$domain['domain_extension']}</option>
                    {/foreach}
                </select></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Requires']}</td>
            <td class="fieldarea">
                <select name="requires[]" size="8" class="form-control" multiple="">
                    {foreach $products_list as $product}
                        <option value="{$product['id']}">
                            {$product['group_name']} - {$product['product_name']}</option>
                    {/foreach}
                    {foreach $addons_list as $addon}
                        <option value="{$addon['id']}">
                            Addon - {$addon['addon_name']}</option>
                    {/foreach}
                    {foreach $domains_list as $domain}
                        <option value="{$domain['id']}">
                            Domain - {$domain['domain_extension']}</option>
                    {/foreach}
                </select><br><input type="checkbox" name="requires_existing"
                                    value="on"> {$lang['Also allow existing products in account to qualify for promotion']}
            </td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Billing Cycles']}<br>({$lang['No selection = any']})</td>
            <td class="fieldarea">

                <b>{$lang['Products/Services']}</b><br>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]"
                                                      value="One Time">{$lang['One Time']} </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="Monthly">{$lang['Monthly']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]"
                                                      value="Quarterly">{$lang['Quarterly']}</label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]"
                                                      value="Semi-Annually">{$lang['Semi-Annually']}</label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]"
                                                      value="Annually">{$lang['Annually']}</label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]"
                                                      value="Biennially">{$lang['Biennially']}</label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]"
                                                      value="Triennially">{$lang['Triennially']}</label>
                <br>
                <b>{$lang['Domains']}</b><br>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="1Years"> 1 {$lang['Year']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="2Years"> 2 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="3Years"> 3 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="4Years"> 4 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="5Years"> 5 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="6Years"> 6 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="7Years"> 7 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="8Years"> 8 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="9Years"> 9 {$lang['Years']}
                </label>
                <label class="checkbox-inline"><input type="checkbox" name="cycles[]" value="10Years">
                    10 {$lang['Years']}</label>
            </td>
        </tr>
        <tr>
            <td class="fieldlabel">
                {$lang['Start Date']}
            </td>
            <td class="fieldarea">
                <div class="form-group date-picker-prepend-icon">
                    <label for="inputStartDate" class="field-icon">
                        <i class="fal fa-calendar-alt"></i>
                    </label>
                    <input id="inputStartDate" type="text" name="start_date" value=""
                           class="form-control date-picker-single future">
                    ({$lang['Leave blank for none']})
                </div>
            </td>
        </tr>
        <tr>
            <td class="fieldlabel">
                {$lang['Expiry Date']}
            </td>
            <td class="fieldarea">
                <div class="form-group date-picker-prepend-icon">
                    <label for="inputExpirationDate" class="field-icon">
                        <i class="fal fa-calendar-alt"></i>
                    </label>
                    <input id="inputExpirationDate" type="text" name="expiration_date" value=""
                           class="form-control date-picker-single future">
                    ({$lang['Leave blank for none']})
                </div>
            </td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Max Uses']}</td>
            <td class="fieldarea"><input type="text" name="max_uses"
                                         class="form-control input-100 input-inline">
                ({$lang['Enter 0 to allow unlimited uses']})
            </td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Lifetime Promotion']}</td>
            <td class="fieldarea"><label class="checkbox-inline"><input type="checkbox" name="lifetime_promo" value="on">
                    {$lang['Discounted pricing is applied even on upgrade and downgrade orders in the future regardless of settings like max uses, expiry, etc;']}
                    </label></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Apply Once']}</td>
            <td class="fieldarea"><label class="checkbox-inline"><input type="checkbox" name="apply_once" value="on">
                    {$lang['Apply only once per order (even if multiple items qualify)']}</label></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['New Signups']}</td>
            <td class="fieldarea"><label class="checkbox-inline"><input type="checkbox" name="new_signups" value="on">
                    {$lang['Apply to new signups only (must have no previous active orders)']}</label></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Apply Once / Client']}</td>
            <td class="fieldarea"><label class="checkbox-inline"><input type="checkbox" name="once_per_client" value="on">
                    {$lang['Apply only once per client globally (ie. only one order allowed per promo)']}</label></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Existing Client']}</td>
            <td class="fieldarea"><label class="checkbox-inline"><input type="checkbox" name="existing_client" value="on">
                    {$lang['Apply to existing clients only (must have an active order to qualify)']}</label></td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Upgrades/Downgrades']}</td>
            <td class="fieldarea"><label class="checkbox-inline"><input type="checkbox" name="upgrades" value="on"
                                                                        onclick="$('#upgradeoptions').slideToggle()">
                    {$lang['Enable for product upgrades']}</label>

                <div id="upgradeoptions" style="display:none;">
                    <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
                        <tbody>
                        <tr>
                            <td colspan="2" class="fieldarea"><b>{$lang['Upgrade Promotion Instructions']}</b>
                                <br>{$lang['For all upgrade promotion codes, the "Applies To" field defines the products that the promotion applies to']}
                                <br>{$lang['For product upgrades/downgrades, "Requires" can also be used to restrict the products being upgraded from']}
                                <br>{$lang['And for configurable option upgrades/downgrades, you can select the specific options to apply the discount to below']}
                                <br>{$lang['If you set a discount value & enable recurring above, then the upgrade promo will also give a recurring discount to the parent product']}
                            </td>
                        </tr>
                        <tr>
                            <td class="fieldlabel">{$lang['Upgrade Type']}</td>
                            <td class="fieldarea"><input type="radio" name="upgrade_type" value="product">
                                Products/Services <input type="radio" name="upgrade_type" value="configoptions">
                                Configurable Options
                            </td>
                        </tr>
                        <tr>
                            <td class="fieldlabel">{$lang['Upgrade Discount']}</td>
                            <td class="fieldarea"><input type="text" name="upgrade_value" size="10" value=""> <select
                                        name="upgrade_discount_type">
                                    <option value="Percentage">Percentage</option>
                                    <option value="Fixed Amount">Fixed Amount</option>
                                </select></td>
                        </tr>
                        <tr>
                            <td class="fieldlabel">{$lang['Config Options Upgrades']}</td>
                            <td class="fieldarea">
                                <select name="config_option_upgrades[]" size="8" style="width:90%" multiple="">
                                    {foreach $config_options as $option}
                                        <option value="{$option['id']}">
                                            {$option['group_name']} - {$option['name']}</option>
                                    {/foreach}
                                </select><br>{$lang['The options selected above are the ones the discount is applied to when Upgrade Type is set to Configurable Options']}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>

            </td>
        </tr>
        <tr>
            <td class="fieldlabel">{$lang['Notes']}</td>
            <td class="fieldarea"><textarea name="notes" rows="4" class="form-control"></textarea></td>
        </tr>
        </tbody>
    </table>

    <div class="btn-container">
        <button type="submit" name="submit" value="add_set" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>