{*file puq_customization/extensions/ExportTool/templates/configuration.tpl*}

<style>
    #visualTableContainer table {
        width: 100%;
        border-collapse: collapse;
    }
</style>


<form id="ExportToolForm" name="ExportTool" method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=export_tool&action=configuration">

    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <!-- Toggle Enable/Disable -->
            <tr>
                <td class="fieldlabel">{$lang['Enabled']}</td>
                <td class="fieldarea">
                    <select name="enabled" class="form-control select-inline">
                        <option value="yes" {if $config['enabled'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['enabled'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                </td>
            </tr>

            <!-- Export Parameters -->
            <tr>
                <td class="fieldlabel">{$lang['Default Export Format']}</td>
                <td class="fieldarea">
                    <select name="export_format" class="form-control select-inline">
                        <option value="json" {if $config['export_format'] eq "json"}selected {/if}>JSON</option>
                        <option value="xml" {if $config['export_format'] eq "xml"}selected {/if}>XML</option>
                    </select>
                </td>
            </tr>

            <!-- Pagination Settings -->
            <tr>
                <td class="fieldlabel">{$lang['Items per Page']}</td>
                <td class="fieldarea">
                    <input type="number" class="form-control select-inline" name="items_per_page" value="{$config['items_per_page']}" min="1" oninput="validateNumberInput(this);">
                </td>
            </tr>

            </tbody>
        </table>
    </div>
    <!-- Submit Button -->
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>


